# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "hjkl-editor"
version = "0.4.6"
authors = ["mxaddict <mxaddict@kryptic.sh>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Front-door for the hjkl modal editor stack: vim engine + rope buffer + registers + ex commands, in one crate."
homepage = "https://hjkl.kryptic.sh"
readme = "README.md"
keywords = [
    "vim",
    "editor",
    "modal",
    "ex",
]
categories = ["text-editors"]
license = "MIT"
repository = "https://github.com/kryptic-sh/hjkl-editor"

[package.metadata.docs.rs]
all-features = true
targets = ["x86_64-unknown-linux-gnu"]
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
crossterm = ["hjkl-engine/crossterm"]
default = [
    "serde",
    "crossterm",
    "ratatui",
]
ratatui = [
    "hjkl-engine/ratatui",
    "hjkl-buffer/ratatui",
]
serde = ["hjkl-engine/serde"]

[lib]
name = "hjkl_editor"
path = "src/lib.rs"

[[test]]
name = "golden_ex"
path = "tests/golden_ex.rs"

[[test]]
name = "vim_ex_integration"
path = "tests/vim_ex_integration.rs"

[dependencies.hjkl-buffer]
version = "0.6"

[dependencies.hjkl-engine]
version = "0.6.8"
default-features = false

[dependencies.regex]
version = "1"

[dev-dependencies.crossterm]
version = "0.29.0"
features = ["event-stream"]

[dev-dependencies.insta]
version = "1"
